<template>
  <div class="">
    <div class="contacts_wrap">
      <div class="contacts_descriptrion">
        <p v-html="author.contact_description"></p>
      </div>
      <div class="contacts_info">
        <!-- CONATCT FORM AREA -->
        <!-- <div class="contacts_form">
          <form action="#" method="POST">
            <div class="client_name">
              <input type="text" name="u_name" id="name" placeholder="Your name" required>
            </div>
            <div class="client_email">
              <input type="email" name="u_email" id="email" placeholder="Your e-mail" required>
            </div>
            <div class="client_subject">
              <input type="text" name="u_subject" id="subject" placeholder="Enter subject" required>
            </div>
            <div class="client_message">
              <textarea name="message" required placeholder="Enter message"></textarea>
            </div>
            <input type="submit" value="Send" id="submit">
          </form>
        </div> -->
        <!-- Address Area -->
        <div class="contacts_address">
          <div class="section-title"> <h3>Контакты</h3> </div>
          <p>Украина, Киев</p>
          <p>Телефон: {{author.author_phone }}</p>
          <p>Email: {{author.author_email}}</p>
        </div>
      </div>
    </div>
  </div>
</template>


<script>
export default {
  name: 'contacts',
  data () {
    return {

    }
  },
  computed: {
    author () {
      return this.$store.state.genInfo
    }
  },

  created () {
    this.$store.dispatch('getGeneralInfo')
    this.$store.commit('setLoadpage', true)
  },
}
</script>

<style lang="scss">
.contacts_wrap {
  max-width: 1200px;
  padding: 20px;
  background-color: white;
  margin: 40px auto 0px;
  text-align: center;
}

.contacts_info {
  display: flex;
  flex-flow: row wrap;
  justify-content: space-around;
}

.contacts_form, .contacts_address {
  flex-grow: 1;
  flex-basis: 300px;
  margin-top: 15px;
}

.contacts_form {
  text-align: left;
}

.contacts_address {
  text-align: left;
  margin-top: 260px;
}

.contacts_address p {
  margin: 0px;
}

input, textarea {
  height: 50px;
  border: 2px solid lightgray;
  width: 100%;
  padding: 0 10px;
  box-sizing: border-box;
  font-size: 16px;
  font-weight: 500;
  margin: 5px 0px;
  background-color: #ececec;
}

textarea {
  height: 150px;
  padding: 10px 10px;
  border: 2px solid lightgray;
  font-weight: 400;
}

input[type='submit'] {
  width: 150px;
  height: 45px;
  background: #333;
  color: #fff;
  font-size: 16px;
  text-transform: uppercase;
  border-color: #ddd;
  border-bottom-color: #ddd;
  display: inline-block;
  padding: 6px 12px;
  box-shadow: inset 0px -1px 0px 0px rgba(0, 0, 0, 0.09);
  border: 1px;
}

.section-title {
    margin: 20px 0px;
}

</style>
